¿Problemas con tu Tarjeta ATI? ¿Drivers Libres o Propietarios? [Soluciones Acá]

Imagen de 1antares1
0 puntos

[ ..::SOLUCIONES UBUNTU::.. ]

_______________________________________________________________________________________

Mi Comunidad Ubuntera, creo que muchos recuerdan la receta que publiqué hace ya algunos meses sobre:

"Instalación de Drivers de ATI [Tarjetas Soportadas - HD] -Drivers Propietarios-"

Tema:

http://www.ubuntu-es.org/node/141017

Se encuentra un poco des-actualizado y con algunos que otros detalles que faltaron por corregir, que podría confundir a muchos usuarios que inician su mundo en Ubuntu y tienen inconvenientes en instalar un Driver ATI que se hace muy fácil y rápido con las soluciones que propondré por experiencia personal con Ubuntu desde ya hace mucho tiempo.

No crearé ninguna guía o tutorial, ya que algunos de acá, podría tener Tarjetas antiguas o Chipsets arcaicos, como también Tarjetas que relucen ahora como los que son, el HD para adelante y pués, tendría que hacer 2 guías en la que con el tiempo se volverá obsoleto.

Constantemente estoy en la instalación y actualización de Drivers ATI para mi Tarjeta HD 4670, sea bajando el driver de su web (Recomendado), el FGLRX del Repositorio o agregando un Launchap.

_______________________________________________________________________________________

Invito a todos lo de ésta comunidad, que si tienen algún problema, duda por aclarar o inconveniente con la instalación y manejo de drivers, éste es su espacio.

Éste Tema estará abierto para aquellos que posean conocimientos básicos en el inicio de Ubuntu y estén con dudas con los Drivers para su Tarjeta Gráfica.

Acá les dejo algunos requisitos antes de publicar sus cuestiones:

-Publicar Modelo de la Tarjeta [Si es HD, publicar Versión. Y sino, también.].
-Versión de Ubuntu,
-Problemas presentes detallados [Que hizo antes... Como está ahora.... Como funciona su Sistema...]
-¿Sabe que es un .run?

_______________________________________________________________________________________

Trataré de resolver todos sus inconvenientes acá con la mayor paciencia y atención posible.

Estoy en creación de una guía muy práctica en .pdf para publicarla acá, pero aún los estudios me frenan tiempo y a inicios de Diciembre, estaré plenamente con el trabajo de ésta y otras Guías para ustedes, con mayor información de facilidad y eficacia para todos y todas acá.


- Comenzamos y se los dejo a ustedes....... 
- Espero sus Dificultades y les otorgaré las mayores soluciones posibles.

Saludos!

Imagen de rdsparla
+1
0
-1

Hola, he intentado instalar el driver, y aunque lo compilo y lo instalo en Ubuntu no lo puedo configurar y no me reconoce la tarjeta que es una AMD Radeon HD 6470M. Con el driver que se instala por defecto en Ubuntu 11,04 no puedo activar el catalyst control center. Quizás tenga que instalar una versión anterior de Ubuntu pues esta no debe de estar aún a punto. Te agradecería mucho tu ayuda. Saludos. El driver que instalo es el último radeaon hd series 6XXX , 11.6, en un portatil hp con procesador intel i5 64 bits. Ya no se más que hacer, me está dando muchos dolores de cabeza. Gracias mil por tu ayuda.

+1
0
-1
Imagen de 1antares1
+1
0
-1

Hola de nuevo rdsparla , leyendo tu problema, veo que hay varias confusiones y comenzamos aclararlas:

No hace falta volver a una versión de Ubuntu antigua, además de que será peor. Ya que las versiones de Ubuntu, entre más nuevas, mejor para el que posea Hardware Muy nuevo, ya que el Kernel (Núcleo de todas las distribuciones, entre más nuevo, mayor soporte de hardware, y en éste caso, es recomendable usar el último Ubuntu 11.04).

El Ubuntu 11.04, posee actualmente el último Kernel, 2.6.38 donde posee gran cantidad de hardware muy nuevo reconocido, y pués, no se si tu tarjeta ya esté soportada, pero vamos por parte.

Instala de nuevo Ubuntu 11.04. Antes de que te vayas a instalar el .run de ATI 11.6. ¿Has probado primero ir a Sistema -> Administración -> Controladores restringidos. ¿Y probaste activar (Si posees) los drivers privativos para tu tarjeta gráfica?

De no ser así, puede que el último Ubuntu (con el último Kernel) aún no soporte tu tarjeta gráfica. Pero si la reconoce, no hay problema! Lo dema? ya es configuración de Hardware, sino esperar al nuevo Ubuntu 11.10, que 100% que reconocerá tu hardware totalmente sin problemas.

Igual, matizamos. Si el "Administrador de Controladores Restringidos", no te funciona. Nos bajamos el RUN o el instalador de ATI (el último creo que es 11.6), nos los bajamos! PERO, antes de instalarlo (que el compila), tenemos que tener todas las dependencias listas y las más importantes para Ubuntu 11.04, son:

linux-source - Linux kernel source with Ubuntu patches
linux-source-2.6.38 - Linux kernel source for version 2.6.38 with Ubuntu patches

Trata de instalarlas antes, sea con Synaptic o Centro de Software de Ubuntu. O si deseas, desde la terminal con un simple: sudo apt-get install linux-source linux-source-2.6.38

También ¿Te has leído el "Release Notes" en la página de AMD, cuando te sale el link de descarga del driver? (Arriba a la izquierda).

Indica que dependencias son importantes para la compilación de tu ATI.

Además, de que luego que completes la instalación, tendrás que generar un Xorg, es decir, ir a la Consola o Terminal y colocar:

aticonfig --initial (Recuerda el comando completo). Y de ahí te generará un Xorg, como por ejemplo:

Section "ServerLayout"
Identifier "aticonfig Layout"
Screen 0 "aticonfig-Screen[0]-0" 0 0
EndSection

Section "Module"
EndSection

Section "Monitor"
Identifier "aticonfig-Monitor[0]-0"
Option "VendorName" "ATI Proprietary Driver"
Option "ModelName" "Generic Autodetecting Monitor"
Option "DPMS" "true"
EndSection

Section "Device"
Identifier "aticonfig-Device[0]-0"
Driver "fglrx"
BusID "PCI:1:0:0"
EndSection

Section "Screen"
Identifier "aticonfig-Screen[0]-0"
Device "aticonfig-Device[0]-0"
Monitor "aticonfig-Monitor[0]-0"
DefaultDepth 24
SubSection "Display"
Viewport 0 0
Depth 24
EndSubSection
EndSection

Y así como también, el instalador de ATI, genera un log (registro) de la instalación / compilación del driver que debes verificar a ver DONDE dió error y si la instalación fue satisfactoria.

Mi recomendación es al culminar los pasos anteriores, te fueses a: "/usr/share/ati" y ver los logs que están ahí y verificas la información.

Donde veas: (EE), es por que hubo un error en alguna de la instalación o compilación del mismo.

Verifica si posees Log's después y los envías acá para especificar una solución factible.

Igual, prueba con lo anterior. Instala de por si el Ubuntu 11.04 o el Kubuntu 11.04 (Lo diferencia el Entorno gráfico no más - Gnome es Ubuntu y KDE es Kubuntu), lo demás es el mismo Ubuntu, con distinta apariencia.

Prueba y me avisas luego, estaré pendiente.

Y una disculpa a los demás usuarios que no pude atenderlos, por razones de estudio y trabajo (nombrado anteriormente) y ahora me estoy integrando full para ayudarles lo mayor posible. Ahora si estaré pendiente. ;)

Saludos!

+1
0
-1

30 de Marzo 2008 - [Gabi & José] | Numeoli

Sólo hay 2 clases de personas. Las que piensan que hay 2 clases de personas y las que no.

Imagen de rdsparla
+1
0
-1

Hola, instalé de nuevo el 11,04 y para hacer una prueba actualicé a la version 11,10 beta 2 que acaba de salir. Pensando que quizás se me solucionarion los problemas de instalación pero nada. Reinstalé de nuevo la 11,04 , segui todos los pasos que me dices. Actualicé el kernel. Con el driver libre no puedo configurar la tarjeta (catalyst control center). Desinstalé e inténte instalar el driver de ati (el último) antes comprobé que tenía todas las dependencias que me piden. actualicé el XOrg. cuando quiero compilar no llego al modo gráfico, me sale un anuncio que me dice que mire el archivo de instalación .log en /usr/share/ati" este archivo no contiene nada, o kb. Intento compilar de nuevo y nada. No puedo seguir. Reinicio y ya no puedo entrar en el sistema operativo. Pantalla negra. Mientras que con la versión 10.04 siguiendo las indicaciones de tu otra página consegui 3500 FPS, aunque no me dejo configurar la tarjeta y tampoco el catalyst control Center.

Bueno, te pido mil disculpas por ser tan pesado. Renuncio definitivamente. Instalé windows 7, en inicio dual con Ubuntu , con el driver libre, para usar ubuntu en algunas cosas que quiero hacer. Mil gracias de todos modos.
Gracias por tu paciencia. Saludos.

+1
0
-1
Imagen de zurditorium
+1
0
-1

EDITADO: ya lo he solucionado, véase mensaje de abajo.

+1
0
-1

_________________________________________________

Mi blog con problemas de lógica http://zurditorium.com

Imagen de zurditorium
+1
0
-1

Acabo de probar con un juego, bueno, exactamente con el emulador de dolphin/wii. Definitivamente va mucho mejor cuando uso los complementos adicionales. Es decir:

- complementos adicionales -> para juegos va bien, pero para el escritorio (gnome) no me va suave.
- sin complementos adicionales -> para juegos mal, sin embargo el escritorio va suave.

Si alguien me aclara algo..., voy a mirar si las opciones de compiz me lo pueden arreglar...

EDITO: pues parece que solucionado. En compiz he desactivado en openGL la opción de Sincronizar con borrado vertical y parece que ahora el escritorio va bien. Y yo dándole vuelta a lo de los controladores y se solucionaba con eso XD. Con los complementos adicionales para la tarjeta los juegos iban bien y el escritorio no iba suave. Modificando lo dicho ya he solucionado lo del escritorio.

+1
0
-1

_________________________________________________

Mi blog con problemas de lógica http://zurditorium.com

Imagen de rdsparla
+1
0
-1

Hola, he seguido todos los pasos, reinstale el Ubuntu 10,04, ya que no podía entrar en el escritorio, por fin instalé el driver último de ati, el 11.6, compilé como dices para Lucid, instalé los cuatro paquetes creados en el escritorio. Me salió que tenía esto vendor: ATI Technologies Inc
physical id: 0
bus info: pci@0000:01:00.0
version: 00
width: 64 bits
clock: 33MHz
capabilities: pm pciexpress msi cap_list
configuration: latency=0
resources: memory:a0000000-afffffff(prefetchable) memory:c6400000-c641ffff ioport:5000(size=256) memory:c6420000-c643ffff(prefetchable)
*-display
description: VGA compatible controller
product: Core Processor Integrated Graphics Controller
vendor: Intel Corporation
physical id: 2
bus info: pci@0000:00:02.0
version: 02
width: 64 bits
clock: 33MHz
capabilities: msi pm bus_master cap_list rom
configuration: driver=i915 latency=0
resources: irq:30 memory:c0000000-c03fffff memory:b0000000-bfffffff(prefetchable) ioport:6050(size=8)

pero nunca puedo abrir el ati catalyst control center, asi que segui todos tus pasos, mi tarjeta es la AMD Radeon HD 6470M (DDR3 de 512 MB)

sudo aticonfig --initial m e responde aticonfig: No supported adapters detected , no encuentro el el xorg.conf. glxgears me responde violation of segment . mesa-utils está instalado. No consigo avanzar a partir de ahí. Anteriormente había seguido todos los pasos en el foro [TUTORIAL] Instalar Drivers ATI HD - Ubuntu 10.04 (Retraso de Maximización - Solucionado) - Entra!, conseguí 3500 FPS o sea muy pocos y nunca pude activar el catalyst control center, Ni siquiera se cargaba el driver pirvativo en sistema /controladores de hardware. Mi propósito es cargar el catalyst control center, para poder modificar la pantalla del escritorio ya que me aparece muy blanca y con poca definición aparte de la aceleración 3D, 2D. Por favor si me pueden ayudar se lo agradezco infinitamente, ya que no tengo respuesta a mi anterior mensaje. Gracias. Catalyst control center me responde Se produjo un problema al inicializar Catalyst Control Center Edición para Linux. Lo siguiente pudo ser la causa.

No hay un controlador de gráficos ATI instalado o el controlador ATI no funciona adecuadamente.
Por favor inatale el controlador ATI de manera adecuada para su hardware ATI, o configure utilizando aticonfig. No quiero volver a cargar el conpiz, porque cuando lo hago e intento configurarlo, al final no puedo entrar en Ubuntu desde el Grub. Gracias por vuestra ayuda.

+1
0
-1
Imagen de Nabos
+1
0
-1

Hola Antares,

Tengo una laptop Dell Studio XPS con 4G RAM y un procesador de doble núcleo. Tengo mi disco particionado para dos OS: Windows y Linux. Mis detalles:
----------------------------------
*-display
description: VGA compatible controller
product: Radeon Mobility HD 3670
vendor: ATI Technologies Inc
physical id: 0
bus info: pci@0000:01:00.0
version: 00
width: 32 bits
clock: 33MHz
capabilities: pm pciexpress msi bus_master cap_list rom
configuration: driver=fglrx_pci latency=0
resources: irq:16 memory:d0000000-dfffffff(prefetchable) ioport:2000(size=256) memory:cfef0000-cfefffff memory:cfe00000-cfe1ffff(prefetchable)
----------------------------------

Mi problema es el siguiente: Acabo de actualizar de ubuntu 9.10 a 10.04. En el proceso perdí muchos cambios que le había hecho a mi maquina, entre ellos los efectos de escritorio usando Compiz. Leyendo tus consejos aquí, he reinstalado varios paquetes de "fgrlx" y ello me ha dado una solución temporal con un problema q tenia con un kernel del 10.04 (2.6.23-33generic), pero eso es otra cosa y no esta relacionado con el problema q tengo ahora de los drivers de ATI y los efectos de escritorio que no tengo.
:(

Además, he tratado de instalar los drivers de ATI como lo explicas aquí:

http://www.ubuntu-es.org/node/144699#comment-411974

... y la versión del paquete "fglrx" q instalé fue (lo colocó tal cual sale en el Synaptic)

2: 8.723.1-0ubuntu5 (100MB) -> "controlador de video para los aceleradores ATI"

Al colocar:
----------------------------------
user@maquina:~$ sudo aticonfig --initial # Me sale:
Uninitialised file found, configuring.
Using /etc/X11/xorg.conf
Saved back-up to /etc/X11/xorg.conf.original-0
----------------------------------
Luego, al tipear lo primero de abajo, me sale:
----------------------------------
user@maquina:~$ locate xorg.conf
/xorg.conf.new
/etc/X11/xorg.conf
/etc/X11/xorg.conf-backup-101014113803
/etc/X11/xorg.conf-backup-101014114630
/etc/X11/xorg.conf-backup-101014231918
/etc/X11/xorg.conf.backup
/etc/X11/xorg.conf.dist-upgrade-201006261336
/etc/X11/xorg.conf.dist-upgrade-201107091910
/etc/X11/xorg.conf.failsafe
*
/usr/lib/X11/xorg.conf.d
/usr/lib/X11/xorg.conf.d/05-evdev.conf
/usr/lib/X11/xorg.conf.d/10-synaptics.conf
/usr/lib/X11/xorg.conf.d/10-vmmouse.conf
/usr/lib/X11/xorg.conf.d/10-wacom.conf
/usr/share/man/man5/xorg.conf.5.gz
----------------------------------
Supongo q los que importan son los q estan arriba del asteristco, y sí, ahi esta el archivo el "xorg.conf". Y dice dos veces en Section "Device" > Driver "fglrx" (Te pego hasta abajo lo q dice este archivo, espero sea de utilidad).

o desde un "ls" en /etc/X11/:

-----------------------------------
xorg.conf
xorg.conf.backup
xorg.conf-backup-101014113803
xorg.conf-backup-101014114630
xorg.conf-backup-101014231918
xorg.conf.dist-upgrade-201006261336
xorg.conf.dist-upgrade-201107091910
xorg.conf.failsafe
xorg.conf.fglrx-0
xorg.conf.original-0
-----------------------------------
Y FINALMENTE al colocar:
----------------------------------
user@maquina:~$ glxgears # Sale:
Violación de segmento
----------------------------------
TENGO INSTALADO EL "MESA-UTILS", el "ATI CATALYST CONTROL CENTER" y me arroja un error diciendo que el driver ATI no esta instalado o éste no esta funcionando apropiadamente. Cuando me dirijo a "Sistema > Administración > Controladores de Hardware" me dice q "este equipo esta usando controladores privativos", el cual es:
***
ATI Fire GL
Video driver for the ATI Radeon and FireGL graphics accelerators.
This package provides 2D display driversand hardware accelerated OpenGL.
***
Todo es confuso. Hasta aquí me he quedado, ya no se que hacer, ESPERO PUEDAS AYUDARME A RESOLVER ESTE PROBLEMA!! =D
Gracias!

******************************************************
--------------------------------------------------------------------
# nvidia-xconfig: X configuration file generated by nvidia-xconfig
# nvidia-xconfig: version 1.0 (buildmeister@builder58) Fri Aug 14 18:33:37 PDT 2009
# xorg.conf (X.Org X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# Note that some configuration settings that could be done previously
# in this file, now are automatically configured by the server and settings
# here are ignored.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
# sudo dpkg-reconfigure -phigh xserver-xorg
# commented out by update-manager, HAL is now used and auto-detects devices
# Keyboard settings are now read from /etc/default/console-setup
#Section "InputDevice"
# Identifier "Keyboard0"
# Driver "keyboard"
#EndSection
# commented out by update-manager, HAL is now used and auto-detects devices
# Keyboard settings are now read from /etc/default/console-setup
#Section "InputDevice"
# Identifier "Mouse0"
# Driver "mouse"
# Option "Protocol" "auto"
# Option "Device" "/dev/psaux"
# Option "Emulate3Buttons" "no"
# Option "ZAxisMapping" "4 5"
# # generated from default
#EndSection

Section "ServerLayout"

# commented out by update-manager, HAL is now used and auto-detects devices
# Keyboard settings are now read from /etc/default/console-setup
# InputDevice "Keyboard0" "CoreKeyboard"
# commented out by update-manager, HAL is now used and auto-detects devices
# Keyboard settings are now read from /etc/default/console-setup
# InputDevice "Mouse0" "CorePointer"
Identifier "Default Layout"
Screen 0 "aticonfig-Screen[0]-0" 0 0
EndSection

Section "Files"
EndSection

Section "Module"
Load "glx"
EndSection

Section "Monitor"
Identifier "Configured Monitor"
EndSection

Section "Monitor"
Identifier "aticonfig-Monitor[0]-0"
Option "VendorName" "ATI Proprietary Driver"
Option "ModelName" "Generic Autodetecting Monitor"
Option "DPMS" "true"
EndSection

Section "Device"

# Driver "fglrx"
Identifier "Configured Video Device"
EndSection

Section "Device"
Identifier "aticonfig-Device[0]-0"
Driver "fglrx"
BusID "PCI:1:0:0"
EndSection

Section "Screen"
Identifier "Default Screen"
Device "Configured Video Device"
Monitor "Configured Monitor"
DefaultDepth 24
SubSection "Display"
Depth 24
Modes "nvidia-auto-select"
EndSubSection
EndSection

Section "Screen"
Identifier "aticonfig-Screen[0]-0"
Device "aticonfig-Device[0]-0"
Monitor "aticonfig-Monitor[0]-0"
DefaultDepth 24
SubSection "Display"
Viewport 0 0
Depth 24
EndSubSection
EndSection
--------------------------------------------------------------------

+1
0
-1
Imagen de rdsparla
+1
0
-1

Antes que nada gracias por responderme Primero instalé el Ubuntu 11.04, ultima version de 64 bits, probé el controlador restringido y no me funcionó (en Sistema -> Administración -> Controladores restringidos). compilé el .run del ati 11.06 y no pude conseguir configurar la tarjeta , no pude generar un xorg, ni nada. fué ahi que decidi desinstalar el 11.04 e instalé el 10.04 porque el ejemplo lo ponías con este, y actualicé el kernel, pero me lo hizo a la versión 2.26:32-32. Voy a volver a empezar instalaré el 11.04 y te enviaré todos los informes, a ver si me puedes ayudar. gracias infinitamente por tu ayuda. Y disculpame por ser tan pesado. Saludos.

+1
0
-1
Imagen de toto11.04
+1
0
-1

Hola, soy nuevo en el mundo de Ubuntu. Tengo una Notebook Dell Inspiron M5030 con Placa de video ATI Mobility Radeon HD4250

Tengo Ubuntu 11.04 y me gusta bastante, hasta acá todo muy bien. Ahora, el problema es que quiero iniciar en escritorio Unity, pero después de poner la contraseña no inicia, queda la pantalla con el fondo de atrás. solamente puedo Iniciar en Ubuntu Clasico sin efectos (no se que versión de Gnome es)
Tengo instalado el driver privativo pero nada, debería andar, pero no se que pasa.

Espero una respuesta
Saludos

+1
0
-1
Imagen de raulantonioes
+1
0
-1

Querido Amigo, antes que todo, muchas gracias por esta comunidad y por compartir tus conocimientos, te cuento mi problema, tengo un notebook, sony vaio que trae una tarjeta "AMD Radeon 6630M", utilizo ubuntu 11.04, si no tengo instalado el driver privativo el equipo no inicia a la primera, tarda entre 5 a 10 minutos, instalo el driver privativo y solo me deja acceder a la interfaz de ubuntu clasic y no puedo activar los efectos de escritorio, pero no presenta problemas al arranque.

Descarge el driver de la web de AMD (el archivo .run) lo ejecuto, pero la interfaz se marea y el remedio es peor que la enfermedad.

Esperando tus consejos, se despide

Raúl Reyes M.
raulantonio.es@gmail.com

+1
0
-1
Imagen de 1antares1
+1
0
-1

Buenas de nuevo, ahora si, vamos por parte:

rdsparla Recuerda que no se puede compilar el Driver en otra distribución y luego pasarla a otra versión, ya que la versión del Kernel es distinto.

Es decir, cuando bajamos el .run de ATI, compilamos y el detecta el Kernel actual a ver si está nuestra Gráfica soportada, compila los módulos necesarios para dicho kernel, dicho xorg y dema? librerías.

Pero no puedes pasar los 4 paquetes compilados a otra distribución, por que el nuevo kernel, el nuevo xorg, te dirá: "¿Qué es esto?" No te lo reconocerá.

Lo tomo como experiencia propia, por que al compilar el Driver de ATI (El .run que lo instalo), y al actualizar el Kernel, no me cargaba gráfica (En varias distribuciones me ocurrió) y al final, lo instalé de nuevo y/o le saqué el "aticonfig --initial" y todo seguía en su normalidad.

Lo que recomiendo a TODOS los usuarios de las ATI, es que si van a usar Ubuntu, usemos Ubuntu 10.10. No bajen 11.04, por que ATI no ha sacado unos nuevos drivers para el último Xorg (1.10.1) que se encuentra en Ubuntu 11.04, Debian Testing, Mandriva 2011 y Fedora 15.

Probé Ubuntu 10.04, Ubuntu 10.10 y poseen Kernel 1.7, 1.9, y cualquier distribución con ésta versión, funciona excelente.

El Ubuntu 10.10 es el que mejor me funcionó, ya que reproduce los efectos de Compiz y Videos HD, con mayor fluidez y mejor calidad. Las ATI no funcionan al 100%, pero casi en un 97% que en las demás versiones.

Recomiendo a todos que usen Ubuntu 10.04 o Ubuntu 10.10 (éste último, pueden usar El último Firefox, el último LibreOffice, en fin!). No habrá mucha diferencia.

Para Unity, recomiendo esperar a Ubuntu 11.10, ya que estará Unity estable, más fluído y compatible con ATI desde su inicio (cosa que en la versión 11.04, da error al cargar con Driver Libre - Pantalla negra o se queda colgado, es por la ATI).

Aparte, que vendrá con Kernel 3.0 que trae muchas mejoras y mejor compatibilidad con los últimos dispositivos.

Prueben usar Ubuntu 10.10, que de si posee las mismas características de Ubuntu 11.04 con Gnome Clásico. Además, de que no da problemas con el Compiz-Fusion ni nada por el estilo. Se instala el driver fácilmente, en otras palabras. Es la que se ha estandarizado mejor (ya ésto tiene que ver con AMD), con mi ATI HD 4670.

Si desean, pueden bajar un LiveCD de acá:

Para Unity (Ubuntu 11.04), tendrían que instalar Ubuntu directamente, sin iniciar LiveCD por que no carga (al menos, me pasó a mi), con el Driver Libre de ATI (que lo carga por defecto). Y menos con VESA, ya que hace falta aceleración 3D.

Saludos!

+1
0
-1

30 de Marzo 2008 - [Gabi & José] | Numeoli

Sólo hay 2 clases de personas. Las que piensan que hay 2 clases de personas y las que no.

Imagen de rdsparla
+1
0
-1

gracias por tu respuesta. cuando compilo en Ubuntu lo hago para esa versión e instalo los 4 archivos generados de esa versión, con el kernel actualizado y las dependendicias que me pide. No los llevo a otra versión de Ubuntu. Voy a probar con el 10.10 como solución final, porque ya probé con muchas y estoy bastante cansado de instalar y desinstalar versiones sin no optener resultados. Gracias de todos modos, Si consigo un log te lo envio para que lo analices a ver que puede causar problemas. El Unity no me gusta. No puedo poner el escritorio como yo quiero. asi que no le veo sentido al cambio. Gracias por tu molestia pero todo me parece ya kafkiano. (de dificil solución).

+1
0
-1
Imagen de rdsparla
+1
0
-1

Hola, funciona excelente, será para ti, instale la 10,10 y no puedo compilar el driver, aqui va lo que me sale pues por fin pude obtener un .log, además actualicé kernel, instalé actualizaciones en sistema, gestor de actualizaciones, Instalé las dependencias que me pide y segun el informe instalé debhelper ,libqtgui4,debuild,dpkg-checkbuilddeps, dh build
, make: dh, make y sigo sin poder compilar. A ver si me puedes ayudar. Gracias.

Package build failed!

Package build utility output:

Cleaning in directory .

dpkg-checkbuilddeps: Unmet build dependencies: debhelper (>= 7) libqtgui4 execstack

debuild: fatal error at line 1301:

You do not appear to have all build dependencies properly met.

You can use mk-build-deps to generate a dummy package which

Depends on all the required packages, or you can install them

manually using dpkg or apt using the error messages just above

this message.

dpkg-buildpackage: export CFLAGS from dpkg-buildflags (origin: vendor): -g -O2

dpkg-buildpackage: export CPPFLAGS from dpkg-buildflags (origin: vendor):

dpkg-buildpackage: export CXXFLAGS from dpkg-buildflags (origin: vendor): -g -O2

dpkg-buildpackage: export FFLAGS from dpkg-buildflags (origin: vendor): -g -O2

dpkg-buildpackage: export LDFLAGS from dpkg-buildflags (origin: vendor): -Wl,-Bsymbolic-functions

dpkg-buildpackage: source package fglrx-installer

dpkg-buildpackage: source version 2:8.861-0ubuntu1

dpkg-buildpackage: source changed by ATI Technologies Inc.

dpkg-source --before-build fglrx.IxxPDn

dpkg-buildpackage: host architecture amd64

debian/rules build

#Create important strings

for i in 10fglrx \

dkms.conf \

fglrx.install \

fglrx-dev.install \

fglrx-amdcccle.install \

overrides/fglrx; do \

sed -e "s|#XMODDIR#|usr/lib/fglrx/xorg/modules|" \

-e "s|#XMODDIR32#||" \

-e "s|#PXPRESSXMODDIR#|usr/lib/pxpress/xorg/modules|" \

-e "s|#DRIDIR32#|usr/lib32/fglrx|" \

-e "s|#LIBDIR#|lib64|" \

-e "s|#DRIDIR#|usr/lib/fglrx|" \

-e "s|#PXPRESSDIR#|usr/lib/pxpress|" \

-e "s|#PXPRESSLIBDIR#|usr/lib/pxpress/lib|" \

-e "s|#PXPRESSLIBDIR32#|usr/lib32/pxpress/lib|" \

-e "s|#CVERSION#|8.861|" \

-e "s|#XARCH#|xpic_64a|" \

-e "s|#ARCH#|x86_64|" \

debian/$i.in > debian/$i; \

done

# remove exec bit on everything

find arch \

etc \

lib \

module \

usr \

xpic_64a -type f | xargs chmod -x

find: `module': No such file or directory

# set executable on user apps

find arch/x86_64/usr/sbin \

arch/x86_64/usr/X11R6/bin \

usr/sbin/ -type f | xargs chmod a+x

# set exec bit on scripts

find lib etc debian -name "*.sh" -type f | xargs chmod +x

# Generate modaliases

sh -e debian/modaliases/fglrx_supported \

lib/modules/fglrx/build_mod/fglrxko_pci_ids.h > \

debian/modaliases/fglrx-modules.alias.override

# set the permissions on the pxpress scripts

chmod 744 debian/pxpress/switch*

dh build

make: dh: Command not found

make: *** [build] Error 127

dpkg-buildpackage: error: debian/rules build gave error exit status 2

Cleaning in directory .

dpkg-checkbuilddeps: Unmet build dependencies: debhelper (>= 7) libqtgui4 execstack

debuild: fatal error at line 1301:

You do not appear to have all build dependencies properly met.

You can use mk-build-deps to generate a dummy package which

Depends on all the required packages, or you can install them

manually using dpkg or apt using the error messages just above

this message.

dpkg-buildpackage: export CFLAGS from dpkg-buildflags (origin: vendor): -g -O2

dpkg-buildpackage: export CPPFLAGS from dpkg-buildflags (origin: vendor):

dpkg-buildpackage: export CXXFLAGS from dpkg-buildflags (origin: vendor): -g -O2

dpkg-buildpackage: export FFLAGS from dpkg-buildflags (origin: vendor): -g -O2

dpkg-buildpackage: export LDFLAGS from dpkg-buildflags (origin: vendor): -Wl,-Bsymbolic-functions

dpkg-buildpackage: source package fglrx-installer

dpkg-buildpackage: source version 2:8.861-0ubuntu1

dpkg-buildpackage: source changed by ATI Technologies Inc.

dpkg-source --before-build fglrx.0jxcBe

dpkg-buildpackage: host architecture amd64

debian/rules build

#Create important strings

for i in 10fglrx \

dkms.conf \

fglrx.install \

fglrx-dev.install \

fglrx-amdcccle.install \

overrides/fglrx; do \

sed -e "s|#XMODDIR#|usr/lib/fglrx/xorg/modules|" \

-e "s|#XMODDIR32#||" \

-e "s|#PXPRESSXMODDIR#|usr/lib/pxpress/xorg/modules|" \

-e "s|#DRIDIR32#|usr/lib32/fglrx|" \

-e "s|#LIBDIR#|lib64|" \

-e "s|#DRIDIR#|usr/lib/fglrx|" \

-e "s|#PXPRESSDIR#|usr/lib/pxpress|" \

-e "s|#PXPRESSLIBDIR#|usr/lib/pxpress/lib|" \

-e "s|#PXPRESSLIBDIR32#|usr/lib32/pxpress/lib|" \

-e "s|#CVERSION#|8.861|" \

-e "s|#XARCH#|xpic_64a|" \

-e "s|#ARCH#|x86_64|" \

debian/$i.in > debian/$i; \

done

# remove exec bit on everything

find arch \

etc \

lib \

module \

usr \

xpic_64a -type f | xargs chmod -x

find: `module': No such file or directory

# set executable on user apps

find arch/x86_64/usr/sbin \

arch/x86_64/usr/X11R6/bin \

usr/sbin/ -type f | xargs chmod a+x

# set exec bit on scripts

find lib etc debian -name "*.sh" -type f | xargs chmod +x

# Generate modaliases

sh -e debian/modaliases/fglrx_supported \

lib/modules/fglrx/build_mod/fglrxko_pci_ids.h > \

debian/modaliases/fglrx-modules.alias.override

# set the permissions on the pxpress scripts

chmod 744 debian/pxpress/switch*

dh build

make: dh: Command not found

: make*** [build] Error 127

dpkg-buildpackage: error: debian/rules build gave error exit status 2

[Error] Generate Package - error generating package : Ubuntu/maverick

Esto es lo que me sale al intentar generar el paquete:

Generating package Ubuntu/maverick
Installing Build package for detected OS: Ubuntu/maverick ...
100% - //usr/share/ati//ATI_LICENSE.TXT
100% - //usr/share/ati/ATI_LICENSE.TXT

Installation complete.
*** glibc detected *** ./setup.data/bin/x86_64/setup: double free or corruption (fasttop): 0x000000000079d370 ***
======= Backtrace: =========
/lib/libc.so.6(+0x774b6)[0x7f49393c24b6]
/lib/libc.so.6(cfree+0x73)[0x7f49393c8c83]
./setup.data/bin/x86_64/setup[0x40a6b5]
./setup.data/bin/x86_64/setup[0x4128fb]
/lib/libc.so.6(__libc_start_main+0xfe)[0x7f4939369d8e]
./setup.data/bin/x86_64/setup[0x40382a]
======= Memory map: ========
00400000-004bc000 r-xp 00000000 08:07 1309541 /home/rafa/Descargas/fglrx-install.FqkMkZ/setup.data/bin/x86_64/setup
005bb000-005c3000 rw-p 000bb000 08:07 1309541 /home/rafa/Descargas/fglrx-install.FqkMkZ/setup.data/bin/x86_64/setup
005c3000-005fc000 rw-p 00000000 00:00 0
00781000-007c4000 rw-p 00000000 00:00 0 [heap]
7f4934000000-7f4934021000 rw-p 00000000 00:00 0
7f4934021000-7f4938000000 ---p 00000000 00:00 0
7f493836b000-7f4938380000 r-xp 00000000 08:06 133683 /lib/libgcc_s.so.1
7f4938380000-7f493857f000 ---p 00015000 08:06 133683 /lib/libgcc_s.so.1
7f493857f000-7f4938580000 r--p 00014000 08:06 133683 /lib/libgcc_s.so.1
7f4938580000-7f4938581000 rw-p 00015000 08:06 133683 /lib/libgcc_s.so.1
7f4938581000-7f493858d000 r-xp 00000000 08:06 144603 /lib/libnss_files-2.12.1.so
7f493858d000-7f493878c000 ---p 0000c000 08:06 144603 /lib/libnss_files-2.12.1.so
7f493878c000-7f493878d000 r--p 0000b000 08:06 144603 /lib/libnss_files-2.12.1.so
7f493878d000-7f493878e000 rw-p 0000c000 08:06 144603 /lib/libnss_files-2.12.1.so
7f493878e000-7f4938798000 r-xp 00000000 08:06 144598 /lib/libnss_nis-2.12.1.so
7f4938798000-7f4938997000 ---p 0000a000 08:06 144598 /lib/libnss_nis-2.12.1.so
7f4938997000-7f4938998000 r--p 00009000 08:06 144598 /lib/libnss_nis-2.12.1.so
7f4938998000-7f4938999000 rw-p 0000a000 08:06 144598 /lib/libnss_nis-2.12.1.so
7f4938999000-7f49389b0000 r-xp 00000000 08:06 144602 /lib/libnsl-2.12.1.so
7f49389b0000-7f4938baf000 ---p 00017000 08:06 144602 /lib/libnsl-2.12.1.so
7f4938baf000-7f4938bb0000 r--p 00016000 08:06 144602 /lib/libnsl-2.12.1.so
7f4938bb0000-7f4938bb1000 rw-p 00017000 08:06 144602 /lib/libnsl-2.12.1.so
7f4938bb1000-7f4938bb3000 rw-p 00000000 00:00 0
7f4938bb3000-7f4938bbb000 r-xp 00000000 08:06 144600 /lib/libnss_compat-2.12.1.so
7f4938bbb000-7f4938dba000 ---p 00008000 08:06 144600 /lib/libnss_compat-2.12.1.so
7f4938dba000-7f4938dbb000 r--p 00007000 08:06 144600 /lib/libnss_compat-2.12.1.so
7f4938dbb000-7f4938dbc000 rw-p 00008000 08:06 144600 /lib/libnss_compat-2.12.1.so
7f4938dd6000-7f4938e57000 rw-p 00000000 00:00 0
7f4938e57000-7f493934b000 r--p 00000000 08:06 658179 /usr/lib/locale/locale-archive
7f493934b000-7f49394c5000 r-xp 00000000 08:06 144589 /lib/libc-2.12.1.so
7f49394c5000-7f49396c4000 ---p 0017a000 08:06 144589 /lib/libc-2.12.1.so
7f49396c4000-7f49396c8000 r--p 00179000 08:06 144589 /lib/libc-2.12.1.so
7f49396c8000-7f49396c9000 rw-p 0017d000 08:06 144589 /lib/libc-2.12.1.so
7f49396c9000-7f49396ce000 rw-p 00000000 00:00 0
7f49396ce000-7f4939750000 r-xp 00000000 08:06 144596 /lib/libm-2.12.1.so
7f4939750000-7f493994f000 ---p 00082000 08:06 144596 /lib/libm-2.12.1.so
7f493994f000-7f4939950000 r--p 00081000 08:06 144596 /lib/libm-2.12.1.so
7f4939950000-7f4939951000 rw-p 00082000 08:06 144596 /lib/libm-2.12.1.so
7f4939951000-7f4939953000 r-xp 00000000 08:06 144605 /lib/libdl-2.12.1.so
7f4939953000-7f4939b53000 ---p 00002000 08:06 144605 /lib/libdl-2.12.1.so
7f4939b53000-7f4939b54000 r--p 00002000 08:06 144605 /lib/libdl-2.12.1.so
7f4939b54000-7f4939b55000 rw-p 00003000 08:06 144605 /lib/libdl-2.12.1.so
7f4939b55000-7f4939b57000 r-xp 00000000 08:06 144594 /lib/libutil-2.12.1.so
7f4939b57000-7f4939d56000 ---p 00002000 08:06 144594 /lib/libutil-2.12.1.so
7f4939d56000-7f4939d57000 r--p 00001000 08:06 144594 /lib/libutil-2.12.1.so
7f4939d57000-7f4939d58000 rw-p 00002000 08:06 144594 /lib/libutil-2.12.1.so
7f4939d58000-7f4939d78000 r-xp 00000000 08:06 144597 /lib/ld-2.12.1.so
7f4939f58000-7f4939f5c000 rw-p 00000000 00:00 0
7f4939f6c000-7f4939f6e000 rw-p 00000000 00:00 0
7f4939f6e000-7f4939f75000 r--s 00000000 08:06 657492 /usr/lib/gconv/gconv-modules.cache
7f4939f75000-7f4939f78000 rw-p 00000000 00:00 0
7f4939f78000-7f4939f79000 r--p 00020000 08:06 144597 /lib/ld-2.12.1.so
7f4939f79000-7f4939f7a000 rw-p 00021000 08:06 144597 /lib/ld-2.12.1.so
7f4939f7a000-7f4939f7b000 rw-p 00000000 00:00 0
7fff20c41000-7fff20c62000 rw-p 00000000 00:00 0 [stack]
7fff20dff000-7fff20e00000 r-xp 00000000 00:00 0 [vdso]
ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0 [vsyscall]
See /usr/share/ati/fglrx-install.log for installation details.
Removing temporary directory: fglrx-install.FqkMkZ
Bueno, una vez más gracias por tu respuesta. Ya no sigo instalando versiones porque desde la 10,04 las probé todas. Saludos

Ultima tentativa y último informe

Package build failed!
Package build utility output:
Cleaning in directory .
dpkg-checkbuilddeps: Unmet build dependencies: execstack
debuild: fatal error at line 1301:
You do not appear to have all build dependencies properly met.
You can use mk-build-deps to generate a dummy package which
Depends on all the required packages, or you can install them
manually using dpkg or apt using the error messages just above
this message.
dpkg-buildpackage: export CFLAGS from dpkg-buildflags (origin: vendor): -g -O2
dpkg-buildpackage: export CPPFLAGS from dpkg-buildflags (origin: vendor):
dpkg-buildpackage: export CXXFLAGS from dpkg-buildflags (origin: vendor): -g -O2
dpkg-buildpackage: export FFLAGS from dpkg-buildflags (origin: vendor): -g -O2
dpkg-buildpackage: export LDFLAGS from dpkg-buildflags (origin: vendor): -Wl,-Bsymbolic-functions
dpkg-buildpackage: source package fglrx-installer
dpkg-buildpackage: source version 2:8.861-0ubuntu1
dpkg-buildpackage: source changed by ATI Technologies Inc.
dpkg-source --before-build fglrx.mogZCA
dpkg-buildpackage: host architecture amd64
debian/rules build
#Create important strings
for i in 10fglrx \
dkms.conf \
fglrx.install \
fglrx-dev.install \
fglrx-amdcccle.install \
overrides/fglrx; do \
sed -e "s|#XMODDIR#|usr/lib/fglrx/xorg/modules|" \
-e "s|#XMODDIR32#||" \
-e "s|#PXPRESSXMODDIR#|usr/lib/pxpress/xorg/modules|" \
-e "s|#DRIDIR32#|usr/lib32/fglrx|" \
-e "s|#LIBDIR#|lib64|" \
-e "s|#DRIDIR#|usr/lib/fglrx|" \
-e "s|#PXPRESSDIR#|usr/lib/pxpress|" \
-e "s|#PXPRESSLIBDIR#|usr/lib/pxpress/lib|" \
-e "s|#PXPRESSLIBDIR32#|usr/lib32/pxpress/lib|" \
-e "s|#CVERSION#|8.861|" \
-e "s|#XARCH#|xpic_64a|" \
-e "s|#ARCH#|x86_64|" \
debian/$i.in > debian/$i; \
done
# remove exec bit on everything
find arch \
etc \
lib \
module \
usr \
xpic_64a -type f | xargs chmod -x
find: `module': No such file or directory
# set executable on user apps
find arch/x86_64/usr/sbin \
arch/x86_64/usr/X11R6/bin \
usr/sbin/ -type f | xargs chmod a+x
# set exec bit on scripts
find lib etc debian -name "*.sh" -type f | xargs chmod +x
# Generate modaliases
sh -e debian/modaliases/fglrx_supported \
lib/modules/fglrx/build_mod/fglrxko_pci_ids.h > \
debian/modaliases/fglrx-modules.alias.override
# set the permissions on the pxpress scripts
chmod 744 debian/pxpress/switch*
dh build
dh_testdir
dh_auto_configure
dh_auto_build
dh_auto_test
debian/rules binary
#Steps that we can't easily represent in debhelper files or .in files yet
# Remove any libraries that may be caught by shell expansion
find . -name libGLE* | xargs rm -f
find . -name libEGL* | xargs rm -f
dh_install -pfglrx "arch/x86/usr/X11R6/lib/libAMD*.so*" "usr/lib32/fglrx"
dh_install -pfglrx "arch/x86/usr/X11R6/lib/*.so*" "usr/lib32/fglrx"
dh_install -pfglrx "arch/x86/usr/X11R6/lib/fglrx/*.so*" "usr/lib32/fglrx"
dh_installdirs -pfglrx "usr/lib32/fglrx"
dh_install -pfglrx "arch/x86/usr/X11R6/lib/modules/dri" "usr/lib32/fglrx"
dh_install -pfglrx "arch/x86/usr/lib/*.so*" "usr/lib32/fglrx"
for i in \
debian/fglrx/usr/lib32/fglrx/dri/fglrx_dri.so \
debian/fglrx/usr/lib32/fglrx/*libGL.so.* \
; do execstack -q $i; execstack -c $i; done
/bin/sh: execstack: not found
/bin/sh: execstack: not found
/bin/sh: execstack: not found
/bin/sh: execstack: not found
make: *** [binary-arch] Error 127
dpkg-buildpackage: error: debian/rules binary gave error exit status 2
Cleaning in directory .
dpkg-checkbuilddeps: Unmet build dependencies: execstack
debuild: fatal error at line 1301:
You do not appear to have all build dependencies properly met.
You can use mk-build-deps to generate a dummy package which
Depends on all the required packages, or you can install them
manually using dpkg or apt using the error messages just above
this message.
dpkg-buildpackage: export CFLAGS from dpkg-buildflags (origin: vendor): -g -O2
dpkg-buildpackage: export CPPFLAGS from dpkg-buildflags (origin: vendor):
dpkg-buildpackage: export CXXFLAGS from dpkg-buildflags (origin: vendor): -g -O2
dpkg-buildpackage: export FFLAGS from dpkg-buildflags (origin: vendor): -g -O2
dpkg-buildpackage: export LDFLAGS from dpkg-buildflags (origin: vendor): -Wl,-Bsymbolic-functions
dpkg-buildpackage: source package fglrx-installer
dpkg-buildpackage: source version 2:8.861-0ubuntu1
dpkg-buildpackage: source changed by ATI Technologies Inc.
dpkg-source --before-build fglrx.UY04OX
dpkg-buildpackage: host architecture amd64
debian/rules build
#Create important strings
for i in 10fglrx \
dkms.conf \
fglrx.install \
fglrx-dev.install \
fglrx-amdcccle.install \
overrides/fglrx; do \
sed -e "s|#XMODDIR#|usr/lib/fglrx/xorg/modules|" \
-e "s|#XMODDIR32#||" \
-e "s|#PXPRESSXMODDIR#|usr/lib/pxpress/xorg/modules|" \
-e "s|#DRIDIR32#|usr/lib32/fglrx|" \
-e "s|#LIBDIR#|lib64|" \
-e "s|#DRIDIR#|usr/lib/fglrx|" \
-e "s|#PXPRESSDIR#|usr/lib/pxpress|" \
-e "s|#PXPRESSLIBDIR#|usr/lib/pxpress/lib|" \
-e "s|#PXPRESSLIBDIR32#|usr/lib32/pxpress/lib|" \
-e "s|#CVERSION#|8.861|" \
-e "s|#XARCH#|xpic_64a|" \
-e "s|#ARCH#|x86_64|" \
debian/$i.in > debian/$i; \
done
# remove exec bit on everything
find arch \
etc \
lib \
module \
usr \
xpic_64a -type f | xargs chmod -x
find: `module': No such file or directory
# set executable on user apps
find arch/x86_64/usr/sbin \
arch/x86_64/usr/X11R6/bin \
usr/sbin/ -type f | xargs chmod a+x
# set exec bit on scripts
find lib etc debian -name "*.sh" -type f | xargs chmod +x
# Generate modaliases
sh -e debian/modaliases/fglrx_supported \
lib/modules/fglrx/build_mod/fglrxko_pci_ids.h > \
debian/modaliases/fglrx-modules.alias.override
# set the permissions on the pxpress scripts
chmod 744 debian/pxpress/switch*
dh build
dh_testdir
dh_auto_configure
dh_auto_build
dh_auto_test
debian/rules binary
#Steps that we can't easily represent in debhelper files or .in files yet
# Remove any libraries that may be caught by shell expansion
find . -name libGLE* | xargs rm -f
find . -name libEGL* | xargs rm -f
dh_install -pfglrx "arch/x86/usr/X11R6/lib/libAMD*.so*" "usr/lib32/fglrx"
dh_install -pfglrx "arch/x86/usr/X11R6/lib/*.so*" "usr/lib32/fglrx"
dh_install -pfglrx "arch/x86/usr/X11R6/lib/fglrx/*.so*" "usr/lib32/fglrx"
dh_installdirs -pfglrx "usr/lib32/fglrx"
dh_install -pfglrx "arch/x86/usr/X11R6/lib/modules/dri" "usr/lib32/fglrx"
dh_install -pfglrx "arch/x86/usr/lib/*.so*" "usr/lib32/fglrx"
for i in \
debian/fglrx/usr/lib32/fglrx/dri/fglrx_dri.so \
debian/fglrx/usr/lib32/fglrx/*libGL.so.* \
; do execstack -q $i; execstack -c $i; done
/bin/sh: execstack: not found
/bin/sh: execstack: not found
/bin/sh: execstack: not found
/bin/sh: execstack: not found
make: *** [binary-arch] Error 127
dpkg-buildpackage: error: debian/rules binary gave error exit status 2
[Error] Generate Package - error generating package : Ubuntu/maverick,

Saludos.

+1
0
-1
Imagen de brai805
+1
0
-1

Hola!

Publicar Modelo de la Tarjeta [ATI Radeon HD 4250 incluida en motherboard ASUS M4A88TD-M].
-Versión de Ubuntu 11.04
-Problemas presentes detallados [Que hizo antes: instalacion de ubuntu... Como está ahora: sin el driver ofrecido (privativo-adicional) .... Como funciona su Sistema: Lento, sobre todo en paginas de video como youtube al activar HD...]
-¿Sabe que es un .run? No

El sistema me funciona lento (sobre todo en paginas como youtube) y otro problema es que la frecuencia que me deja configurar es solo hasta 60Hz, noto una diferencia importante de rendimiento en cosas basicas como ver videos en windows y ubuntu.
El driver adicional que me ofrece ubuntu al instalarlo (instala bien) me pide reiniciar. Al reiniciar la pantalla se pone fuera de frecuencia, pero el sistema carga, solo que en una resolucion que mi monitor no soporta. Me ingenie anotando las teclas que debia tocar para cambiar la resolucion a pesar de no ver nada, y logre ver todo con el driver instalado, pero anda peor el rendimiento, y no soluciona el problema de frecuencia. Otro dato de la seccion Monitores, es que mi monitor es "desconocido".
Por esto solicito si me pueden ayudar y tiene una solucion.

Gracias.

+1
0
-1
Imagen de 1antares1
+1
0
-1

Buenas, que tal.

¿Te leíste mi última respuesta con respecto a Ubuntu 11.04?

Saludos!

+1
0
-1

30 de Marzo 2008 - [Gabi & José] | Numeoli

Sólo hay 2 clases de personas. Las que piensan que hay 2 clases de personas y las que no.

Imagen de antonbas
+1
0
-1

Uso una tarjeta gráfica ATI 3650 HD y luego colocar el patch para el refresh al maximizar o minimizar una ventana el x.org digamos que se corrompió y no quería levantar el entorno gráfico.
La ventana de errores del entorno gráfico al inicio de sesión me pidio si queria reconstruir este y colocarlo al modo por default el cual hice y se coloco todo en modo basica la resolución. Para "solucionar" esto reinstale el controlador de la ATI nuevamente (ati-driver-installer-11-6-x86.x86_64.run) el cual me devolvio la posibilidad de ajustar nuevamente por el amdcccle el modo extend desktop con Xinerama. Pero al no quedar como deseaba (uso 2 monitores) procedi a ajustar el x.org a mi conveniencia hasta que logre que la pantalla principal(monitor de 19" no TV) comenzara el inicio de sesion y el extend desktop quedara en el lcd philips de 40".
El problema es que ahora el amdcccle no quiere levantar y no me da ningun error (corri el amdxdg-su -c amdcccle desde cli y el warning que muestra es: Xlib: extension "RANDR" missing on display ":1.0" , el cual me da con cualquier aplicacion que levanto desde el cli y tenga entorno grafico).

Section "ServerLayout"
Identifier "aticonfig Layout"
Screen 0 "amdcccle-Screen[2]-1" 1280 0
Screen 1 "aticonfig-Screen[0]-0" RightOf "amdcccle-Screen[2]-1"
EndSection

Section "Module"
EndSection

Section "ServerFlags"
Option "Xinerama" "on"
EndSection

Section "Monitor"
Identifier "aticonfig-Monitor[0]-0"
Option "VendorName" "ATI Proprietary Driver"
Option "ModelName" "Generic Autodetecting Monitor"
Option "DPMS" "true"
EndSection

Section "Monitor"
Identifier "0-CRT1"
Option "VendorName" "ATI Proprietary Driver"
Option "ModelName" "Generic Autodetecting Monitor"
Option "DPMS" "true"
Option "PreferredMode" "1280x1024"
Option "TargetRefresh" "60"
Option "Position" "0 0"
Option "Rotate" "normal"
Option "Disable" "false"
EndSection

Section "Monitor"
Identifier "0-DFP1"
Option "VendorName" "ATI Proprietary Driver"
Option "ModelName" "Generic Autodetecting Monitor"
Option "DPMS" "true"
Option "PreferredMode" "1024x768"
Option "TargetRefresh" "60"
Option "Position" "0 0"
Option "Rotate" "normal"
Option "Disable" "false"
EndSection

Section "Device"
Identifier "aticonfig-Device[0]-0"
Driver "fglrx"
Option "Monitor-DFP1" "0-DFP1"
BusID "PCI:2:0:0"
EndSection

Section "Device"
Identifier "amdcccle-Device[2]-1"
Driver "fglrx"
Option "Monitor-CRT1" "0-CRT1"
BusID "PCI:2:0:0"
Screen 1
EndSection

Section "Screen"
Identifier "aticonfig-Screen[0]-0"
Device "aticonfig-Device[0]-0"
DefaultDepth 24
SubSection "Display"
Viewport 0 0
Depth 24
EndSubSection
EndSection

Section "Screen"
Identifier "amdcccle-Screen[2]-1"
Device "amdcccle-Device[2]-1"
DefaultDepth 24
SubSection "Display"
Viewport 0 0
Depth 24
EndSubSection
EndSection

Agradeceria cualquier tips o ayuda que me indiques para ver porque dejo de levantar el amdcccle

+1
0
-1

From the code we came, to the code we'll return ... 'n we're ++

Imagen de antonbas
+1
0
-1

Se me olvido lo básico:
Ubuntu 10.04.3 LTS 64 bits

+1
0
-1

From the code we came, to the code we'll return ... 'n we're ++

Imagen de brai805
+1
0
-1

1antares1 Muchas gracias!
Luego de intentar mucho (varios problemas para instalar) instale Ubuntu 10.10 y realmente FUNCIONA BIEN! GRACIAS.

2 preguntas:

¿El driver privativo ofrecido o algun driver debo instalarle?

y la otra, aun no puedo poner mayor frecuencia que 60Hz. Instale el driver privativo solo para ver si esto corregia y tampoco. Solo 60Hz. Mi monitor es LG 710E en windows lo utilizaba a 85Hz.

Gracias!!!!!!!

+1
0
-1
Imagen de 1antares1
+1
0
-1

antonbas

Buenas de nuevo. ¿Hiciste configuración del Xorg, fuera del Catalyst?

No es recomendable hacer configuraciones al Xorg manualmente, cuando se posee el Driver ATI privativo, ya que descontrolas la GUI al abrirla y no reconoce los patrones, ya que no fueron hechos por el.

Yo te recomiendo que configuración que hagas, te indiques mediante el aticonfig, lee el manual del aticonfig con man aticonfig o man ati (En Consola o Terminal), y podrás hacer cambios y modificaciones, de acuerdo a como te lo indique el fglrx (driver privativo de ATI), ya que hay modificaciones que sólo son permitidas para el driver libre y al abrir el ccc de ATI, traerá errores de ejecución.

Igualmente, ¿Verificaste el nuevo driver que se liberó? 11.7, y al parecer corrige ciertos errores que se afectan en GNU/Linux, sobretodo en la ejecución y más soporte de Hardware.

También recuerda que al hacer configuraciones manuales, tienes que volver a renaudar el reconocimiento de ATI, con aticonfig --initial (en modo administrador), para generar el nuevo xorg.

Prueba y me avisas.

brai805 Que bien! Y sobre la resolución y refresco del monitor, no te preocupes! Si no se reconoce, se podrán agregar manualmente, las que desees o soporte el Monitor, ya que el Driver Privativo de ATI, no reconoce totalmente las frecuencias del Monitor y por defecto deja el de 60hz para no causar problemas de visualización.

El Driver Libre si reconocía (al menos para mi y para ti), las frecuencias normalmente, pero en ATI, también poseo el 1440x900 a 60hz por defecto, y yo mismo agregué manualmente las resoluciones y refresco que soporta mi monitor (como lo hacía hace tiempo en Windows), fácilmente! Ya ésto es falta de empeño de los Drivers de ATI en GNU/Linux, pero bueno, como en GNU/Linux todo se puede sin límites, ahí vamos:

Abrimos consola o terminal, y agregamos nuestra resolución junto con el refresco deseado o el que poseas en Windows:

cvt 1440 900 75

Donde 1440 y 900, es la resolución: 1440x900 y 75, es el refresco: 75hz. En mi caso, en un monitor de 19 pulgadas, me hace falta agregar éste refresco, si necesitas 1024x768 con 85, pués colocas cvt 1024 768 85. Así que lo haré de acuerdo a mi monitor, que seguro es la resolución que necesitas.

Luego, ya nos creó la resolución y el refresco, algo como así:

# 1440x900 74.98 Hz (CVT 1.30MA) hsync: 70.64 kHz; pclk: 136.75 MHz
Modeline "1440x900_75.00"  136.75  1440 1536 1688 1936  900 903 909 942 -hsync +vsync

Pero antes que nada, debemos verificar en "Monitores" (si estás en Ubuntu-Gnome), ubicado en Sistema -> Preferencias o en "Pantalla" (Si estamos en Kubuntu - KDE), para saber que nombre de monitor tenemos:

si es VGA, CRT1, CRT2, Default.

Igualmente, con el comando "xrandr" (sin comillas) en la consola, nos mostrará el monitor que poseemos actualmente:


Screen 0: minimum 320 x 200, current 1440 x 900, maximum 1600 x 1600
DFP1 disconnected (normal left inverted right x axis y axis)
DFP2 disconnected (normal left inverted right x axis y axis)
CRT1 connected 1440x900+0+0 (normal left inverted right x axis y axis) 410mm x 256mm
   1440x900       59.9 +   75.0* 
   1280x1024      75.0     60.0  
   1280x960       75.0     60.0  
   1280x800       75.0     60.0  
   1152x864       75.0     60.0  
   1280x768       74.9     59.9  
   1280x720       60.0  
   1024x768       75.0     70.1     60.0  
   800x600        72.2     75.0     70.0     60.3     56.2  
   720x480        60.0  
   640x480        75.0     72.8     60.0  
   1440x900_75.00   75.0  
CRT2 disconnected (normal left inverted right x axis y axis)
TV disconnected (normal left inverted right x axis y axis)
CV disconnected (normal left inverted right x axis y axis)

Ahí sale cual está conectado y sus respectivas resoluciones.

Luego de allí, procedemos a crear la nueva resolución, con el comando:

xrandr --newmode "1440x900_75.00" 136.75 1440 1536 1688 1936 900 903 909 942 -hsync +vsync

Recuerda copiar lo que dice luego de "Modeline", lo anterior no. Luego de ésto si, y lo que sigue.

Ya nos habrá creado la nueva resolución y ahora la agregamos para que podamos cambiarla, tanto en Pantalla como en el GUI de ATI, con:

xrandr --addmode CRT1 "1440x900_75.00"

El nombre del monitor y sólo la resolución y refresco anterior, justamente éso.

Listo! Ya habrá agregado la resolución y refresco completo.

NOTA: Al cambiar a la nueva resolución, cámbiala por el Catalyst Control Center de ATI, ya que si lo cambiamos con un gestor de pantalla del escritorio o del sistema, no nos guardará la resolución y tendremos que agregarla cada vez que iniciemos sesión.

Ésto es para que ATI y su Control Center, guarden dicha configuración en el Xorg y sólo tenemos que cambiar la resolución cada vez que iniciemos sesión (no he encontrado aún para dejarlo por defecto).

Prueba y me avisas. Saludos!

+1
0
-1

30 de Marzo 2008 - [Gabi & José] | Numeoli

Sólo hay 2 clases de personas. Las que piensan que hay 2 clases de personas y las que no.

Imagen de brai805
+1
0
-1

Hola 1antares1

Estoy inmensamente agradecido por tu ayuda, la configuracion funciona, pude poner el monitor a 85Hz siguiendo los pasos que me indicaste, todo esto sin tener el driver privativo activado (instalado). Hice la prueba, reinicie y como dijiste, no se guarda la configuracion. Por lo tanto instale el driver privativo, el cual agrega el catalyst control center para guardar la configuracion desde alli. Una vez instalado, me pise reiniciar. Al reiniciar, no puedo ver mi escritorio, ya que pone una resolucion/frecuencia no soportada por mi monitor y me dice monitor fuera de frecuencia. He intentado entrar en modo recovery cuando selecciono entrar en modo grafico reducido, no me lo permite. Por probar tambien puse, actualizar grub. De estas maneras no pude resolverlo y entrar al escritorio. Ahora cuando reinicio nisiquiera entra al escritorio y yo no veo, sino que me deja en la nada. Gracias por tu tiempo y ayuda!

EDITO: reinstale, instale el driver privativo y antes de reiniciar hice un acceso directo hacia monitores. reinicie y sin ver, con el teclado cambie la resolucion, luego hice los pasos que me indicaste y ya. Reinicie y la configuracion queda guardada, todo perfecto. Muchisimas Gracias!

+1
0
-1
Imagen de colindo
+1
0
-1

hola con el sh ./fglxr-unistall.sh me informa que no se completará la desinstalación del driver de ATI completamente ,
ya que algunos archivos fueron cambiados ,y ahora para
peor estoy sin grafica de texto ,,en el sudo lshw -C
display aparece DISCLAIMED ,,,no se como
desisntalar el driver de ati cuya version instalada es el
ati HD X5000 11.6 x64 y estoy con ubuntu 10.10
Diganme como desinstalar este driver
Saludos

+1
0
-1
Imagen de 1antares1
+1
0
-1

Si lo que deseas es actualizar o instalar el Driver nuevo. Sólo trate de instalarlo y listo! El reemplazará el antiguo.

Instalando con los mismos pasos o como instalaste el driver anterior, el reemplazará el driver, sigue la configuración que mostré anteriormente y listo.

¿O deseas eliminar el Driver 11.6 y colocar el Driver Libre?

+1
0
-1

30 de Marzo 2008 - [Gabi & José] | Numeoli

Sólo hay 2 clases de personas. Las que piensan que hay 2 clases de personas y las que no.

Imagen de Expuesta
+1
0
-1

Holaaa
Soy nueva en linux y la verdad es que he seguido los pasos que aparecen aca pero no me resulta.

El modelo es "Tarjeta de gráficos ATI Mobility Radeon HD 4250"
Mi version es Ubuntu 11.04

Bueno yo primero baje el driver para mi tarjeta desde http://support.amd.com/us/gpudownload/Pages/index.aspx , despues al archivo run le di permisos para ejecutarse como programa, y lo ejecute desde el terminal, ahi me aparecen las opciones de ati catalyst le apreto continuar y me aparece el siguiente error http://s2.subirimagenes.com/imagen/previo/thump_6871262pantallazo1.png (agrande la imagen para que se vea bien).
Despues fui a la terminal y puse "sudo lshw -C display" y me aparece lo siguiente:

*-display
description: VGA compatible controller
product: M880G [Mobility Radeon HD 4200]
vendor: ATI Technologies Inc
physical id: 5
bus info: pci@0000:01:05.0
version: 00
width: 32 bits
clock: 33MHz
capabilities: pm msi vga_controller bus_master cap_list rom
configuration: driver=fglrx_pci latency=0
resources: irq:18 memory:80000000-8fffffff ioport:3000(size=256) memory:90300000-9030ffff memory:90200000-902fffff

Me gustaria que por favor me digas como seguir ya que no entiendo mucho llevo solo un par de semanas con este sistema operativo, asi que tu ayuda seria muy buena para mi :D. De antes te agradesco por tu tiempo y tu buena voluntad ^^

+1
0
-1
Imagen de pandacriss
+1
0
-1

tenia ubu 10.10 64 bits y ATI 5670
descarge el driver de la web d AMD
instalarlo cuaso un kernel panic

ahora regrese a ubu 10.04 64 bits k me gusta mas
instale el fglrx del repositorio d ubuntu
funciona pero esta mas peor q mi tarjeta anterior (ati 4200 integrada a la mainboard)

con otro SO esta tarjeta es genial
pero en ubu trabaja muy mal
como puedo obtener mejor desempeño???

gracias x tu tiempo

+1
0
-1
Imagen de ferfede
+1
0
-1

Bueno primero que nada es un gusto pertenecer a esta gran comunidad y usar UBUNTU : )
Soy un principiante pero anduve leyendo.... y no he podido encontrar solución, y es algo tedioso no poder avanzar en el problema este.
¿El problema?
Cuando intento Jugar a un juego, RPG, Mu online se me tilda, cuelga la imagen. Es un juego que requiere poco requerimientos y en el pasado me ha funcionado. Pero cuando juego a otro juego que requiere mas requerimientos me anda bien (World of warcraft). Con ayuda de un amigo había podido desinstalar el driver instalado con el sofware "controladores adicionales " (con el cual el juego andaba rápido pero se cuelga) e instale otro desde la pagina del fabricante. El resultado fue que el juego me anduvo muy lento, pero muy lento ( imagino que sabran a lo que me refiero) pero no ocurría lo ya nombrado. Y volví a instalar el anterior y bue... se tilda.

Ahora e descargado unos cuantos de la pagina del fabricante de ATI. Pero solo uno he podido instalar.... y la verdad no se si se habra instalado, porque nunca pude desinstalar el anterior... y sigue tildando se.

description: VGA compatible controller
product: RV730XT [Radeon HD 4670]
vendor: ATI Technologies Inc
physical id: 0
bus info: pci@0000:01:00.0
version: 00
width: 64 bits
clock: 33MHz
capabilities: pm pciexpress msi vga_controller bus_master cap_list rom
configuration: driver=fglrx_pci latency=0
resources: irq:44 memory:d0000000-dfffffff memory:fe9f0000-fe9fffff ioport:c000(size=256) memory:fe9c0000-fe9dffff

Si alguno me puede explicar como desinstalar el driver he instalar otro se lo agradezco, o otra solución : )

+1
0
-1
Imagen de jmguerra
+1
0
-1

Muy buenas, tengo una pregunta para usted....

* Que drivers de ATI son funcionales al 100% ?

* Según todos los comentarios, he podido observar que sobre la version de Ubuntu 10.10 Maverick, es la versión 10.11. Pero actualmente estan por la 11.8, puedes responderme a esta pregunta....

Gracias, muy amable.

+1
0
-1
Imagen de 1antares1
+1
0
-1

WoW! Tantos comentarios...

Que tal! Un gusto llegar al tema y conseguir usuarios entusiasmados con Ubuntu y antes que nada Bienvenido!

Vamos por parte:

Expuesta (Sublime el nick :P ).

Jeje! Por supuesto, es que ya tienes el FGLRX instalado.

¿Te causa problemas el Driver? Es lo importante! Por que, de nada sirve reparar algo que funciona bien.

Según la imagen, podemos encontrar algo como:

"Una instalación Anterior del driver fglrx se ha instaldo."

Es decir, ya posees la instalación del FGLRX instalado (Driver ATI, llamado FGLRX en Linux).

Y si nos damos cuenta en la salida del comando que colocaste:

*-display
description: VGA compatible controller
product: M880G [Mobility Radeon HD 4200]
vendor: ATI Technologies Inc
physical id: 5
bus info: pci@0000:01:05.0
version: 00
width: 32 bits
clock: 33MHz
capabilities: pm msi vga_controller bus_master cap_list rom
configuration: driver=fglrx_pci latency=0
resources: irq:18 memory:80000000-8fffffff ioport:3000(size=256) memory:90300000-9030ffff memory:90200000-902fffff

Ahora, mi pregunta es ¿Te funciona mal? Ya posees el Driver privativo y tu tarjeta funcionará (ya funciona) totalmente bien, estable y sin problemas de recalentamiento.

Si tu Ubuntu es 11.04, y presentas lentitud, recomiendo que vayas al Centro de Software y busques:

"Compiz".

Y te saldrá algo como: "Configuración avanzada de efectos de escritorio (cssm)".

Instálalo! Luego que lo instales, irás a "Sistema -> Preferencias -> Administrador de Opciones CompizConfig".

Hay una opción (botón) de segunda fila, llamado "OpenGL", entra y desactivas la opción "Sincronización Vertical".

Luego buscaras en la opción "Composite" y en "Frecuencia de Actualización", y verifica que la opción "Detectar frecuencia de actualización", esté marcada (activada).

Y listo! Prueba de nuevo los efectos y te irá totalmente fluído. Y ésto va con todos los usuarios que posean Ubuntu 11.04, tanto en Unity como en Gnome Clásico.

________________________________________________________________________

pandacriss

¿Y probaste el Ubuntu 11.04 con Gnome Clásico? El mismo gnome de Ubuntu 10.04.

Seguro el Kernel tendrá mejor compatibilidad con tu tarjeta (HD 5470).

Y sino, ¿Qué problemas presentas? ¿Probaste la configuración anterior (la de éste comentario)?

¿Qué es "ese peor"?. Prueba con Ubuntu de 32 bits. El flash funciona mejor, y otras opciones de video también.

Ni hay flash para Windows de 64 bits, y en GNU/Linux funciona algo pésimo para 32bits. ¿Qué será para 64?

La diferencia no es mucha. Además que si tienes una buena PC, tendrás rapidez en ambas. Pero, yo recomiendo usar GNU/Linux de 32bits, y hasta en Windows, que muchas aplicaciones causan incompatibilidad, aún siendo ejecutadas sin problemas.

________________________________________________________________________

ferfede

Buenas! ¿Qué versión usas de Ubuntu? Si es la 11.04, recomiendo que cierres sesión e inicias por Gnome Clásico. (Al darle clic a tu nombre, y antes de colocar tu contraseña, verifica abajo y busca "Ubuntu Clásico"), sigue luego mis pasos de arriba (Del OpenGL) y tend?as mejor rendimiento en los juegos. Y más con Gnome Clásico, el Shell Unity ralentiza algo las aplicaciones 3D.

________________________________________________________________________

jmguerra

Siempre es recomendable bajarse el .run (Driver) desde la web y seguir los pasos de instalación que son fáciles.

Puedes ejecutar la aplicación rápidamente:

Clic secundario -> Propiedades y en "Permisos", marcar la opción abajo: "Permitir ejecutar el archivo como un programa", luego le das aceptar o cierras -> Doble clic y listo! Espera que te salga la gráfica.

Luego cliqueas en la opción de abajo: "Generate package....", buscas la versión de tu Ubunut y listo!

El te generará 3/4 paquetes .DEB para instalar 1 a 1 con doble clic. Luego abres la Terminal y colocas el comando:

"sudo aticonfig --initial". Y todo quedó perfectamente instalado! Reinicias y listo! Y reitero, colocas la configuración anterior, y usa Gnome clásico para mejor rendimiento (Ubuntu Clásico). En la versión que viene ahora de Ubuntu 11.10, podremos usar Unity con mayor flexibilidad, estabilidad y rapidez. ;)

Saludos! Cualquier duda, avisen no más.

+1
0
-1

30 de Marzo 2008 - [Gabi & José] | Numeoli

Sólo hay 2 clases de personas. Las que piensan que hay 2 clases de personas y las que no.

Imagen de pandacriss
+1
0
-1

muchas gracias por tu interes

uso 64 bits porque tengo 6GB de ram y veo que el disco duro sufre menos

el problema no es con flash
es con compiz principalmente.... comparado con mi ATI 4200 el tiempo de reacción para cambiar de una ventana a otra es mucho mas largo.
veo al procesador trabajar mas ...
los efectos como el fuego demoran mucho en aparecer.
las vetanas gelatinosas se cuartean..... U.U seguiria usando la 4200 pero la pc la comparto con usuarios guinbugs.

tal vez seria mejor hacer que linux use la tarjeta integrada 4200 y el otro use la 5670

muchas gracias...... seguire buscando una solucion

X3

+1
0
-1
Imagen de DINAMIK
+1
0
-1

Hola,

antes que nada gracias por la ayuda del foro, voy a consultarte un temita que ando teniendo a ver si me puedes ayudar:

Hard, athlon xp 2100+ ati radeon x1650pro agp.

primer paso:
intale lucid para jugar regnum online en esa pc, sin embargo me lleve el chasco que los drivers privativos no tenian version para 10.04 por lo cual el driver libre no era suficiente para mi.

segundo paso:
instale Hardy (8.04), la interfaz de drivers me dio la opcion de instalar el driver privativo, luego de eso obtenia una pantalla negra en la ventana de login.

tercer paso:
formatee y puse hardy de nuevo, use envyng y obtuve el mismo resultado que arriba

4to paso:
formatee y puse hardy otra ves, instale el driver privativo 9.3 (el ultimo para ese modelo de ati) hasta ahi todo perfecto. aplique las actualizaciones y ahora se me queda en la pantalla de login, todo en negro, veo el mouse colgado (antes obtenia una pantalla negra completa).
probe el aticonfig --initial -f pero nada. tengo 2 kernels (no recuerdo las versiones pero con cualquiera de los 2 no va)
en todos los casos use ubuntu 8.04.04 (si no recuerdo mal)

en sintesis como puedo seguir?

se me ocurrio volver a formatear
luego actualizar y sobre el ultimo kernel instalar el driver privativo, si tenes alguna otra idea para evitar eso soy todo oidos.

saludos!

PD: entiendo muy poco de linux como veras me estoy metiendo y rompiendo todo lo que puedo para aprender =)

+1
0
-1
Imagen de homosapiens999
+1
0
-1

echame la mano con la mía va.... te gardezco de antemano.

ATI Radeon HD 4250 Integrada en Motherboard ASUS M4A88TD-M
Ubuntu 10.04 LTS

Instale Ubuntu,. actualice el sistema e instalé todos mis paquetes con el DSELECT. Una vez instalado todo, instale el driver privativo desde la opción controladores de Administración > Controladores de Hardware. Al reiniciar el sistema arrancaba pero la imagen se veia mal, como con colores y a pesar de qwuep odia interactuar con el sistema todo se veia distorisionado, actualmente a ciegas fui y desinstale dicho controlados desde la misma ubicación reicnie y sigo con el driver por default de ubutnu.

Un run es un archivo ejecutable, como el que se baja de la página de ATI. Sólo se eso.
jeje

+1
0
-1
Imagen de 1antares1
+1
0
-1

DINAMIK , efectivamente. Igual, puedes bajar el Driver 9.3, de tu gráfica acá:

Y usarlo en Ubuntu 10.04 (recomendado, el que posee soporte actualmente), Ubuntu 8.04.04 ya dejó de ofrecer soporte en Abril de éste año, la versión de escritorio.

Y además, de que la versión 10.04, le quedan casi 2 años de soporte, y es aún más rápido el arranque y mejoran muchas cosas, como hasta posee un mejor rendimiento.

Sólo pruébalo y baja el driver respectivo, no te fijes del "Controladores Restringidos", en raros casos no muestra controladores antiguos para no causar problemas, o evitarlos. Igualmente, a ti te funcionan.

Y lo del error con Ubuntu 8.04, pues si lo va a dar. Actualizas al Kernel nuevo (en actualizaciones) y no vuelves a instalar el driver?

Es decir, cuando te salga pantalla negra o necesites iniciar "Modo Seguro", trata de re-instalar el driver, para que lo compile al "Nuevo Kernel", por que el supone que no existe Driver de Video, y pues, ofrece la pantalla negra o tendrás que iniciar por el Driver Libre o Genérico (Vesa).

Lo que harás en la consola es buscar el paquete: "fglrx" y te saldrán paquetes como:

fglrx-amdcccle
fglrx-control
fglrx-kernel-source
xorg-driver-fglrx

Instálalos todos de nuevo, y genera la nueva configuración (sudo aticonfig --initial).

Pero ¿cómo buscas el paquete?

Así:

sudo apt-cache search fglrx

Y los instala:

sudo apt-get install fglrx-amdcccle fglrx-control fglrx-kernel-source xorg-driver-fglrx

Con ésto, listo! Te compilará de nuevo el driver para el nuevo kernel modificado e iniciará de nuevo como siempre. Pero sigo prefiriendo mi recomendación con Ubuntu 10.04, además de nueva implementación del sistema de ficheros Ext4, y es mucho más rápido.

homosapiens999 Que tal. Pues entonces baja el run actualizado desde la Web, e instálalo.

Y si el Driver por defecto de Ubuntu (Que es el driver libre), te va mejor, pués ¿Por qué no lo usas?

Hay usuarios que usan el Driver Libre en sus HD por que les va mucho mejor, y otros usan privativo por que quieren más aceleración gráfica, pero a veces no es tanto y les genera otros problemas mayores.

Igual, recomiendo que bajes el Run, y cambies la resolución y refresco de tu monitor. Verifica que no esté debajo de 60hz, en muchos casos se coloca en 59.9hz, por mal reconocimiento del Catalyst. Si notas que la configuración está correcta, igual que el refresco de pantalla que esperabas, pués, sería recomendable que uses los Drivers Libres. ¿Te van mal? Avisa!

Saludos

+1
0
-1

30 de Marzo 2008 - [Gabi & José] | Numeoli

Sólo hay 2 clases de personas. Las que piensan que hay 2 clases de personas y las que no.

Imagen de almursi
+1
0
-1

buenas, para empezar me parece estupendo este hilo (lástima que no lo viera antes :) ). Te comento que a veces la desinstalación no borra completamente configuraciones pasadas del centro de control, por lo que no sirve de nada reinstalar ni es suficiente el aticonfig. En mi caso hasta que no borré por completo /usr/lib/fglrx no logré hacer una instalación verdaderamente limpia, así que no está de más mirar si ha quedado algo tras desinstalar el driver de ati y borrarlo de modo manual antes de otro intento. Por otro lado, algunas tarjetas -la mía por ejemplo- sólo reconocen correctamente el monitor si está conectado en el puerto de salida 1 o principal, así que a veces los problemas de reconocimiento del monitor se arreglan buscando un adaptador y enchufando en la salida principal (ya que el secundario entra en conflicto con la salida de tv). Saludos cordiales.
Edito: Había una errata, y la ruta correcta es /usr/lib/fglrx. Dentro de este directorio se guardan las opciones de configuración del centro de control, además de sus librerías.

Edito2: ¡Oops! :D No me había dado cuenta que se comentaba lo mismo en otro post, es el problema de hilos largos que a veces no te los puedes leer enteros :)

+1
0
-1
Imagen de rdsparla
+1
0
-1

hola antares, perdona mi insistencia pero no me doy por vencido. Finalmente reinstale Ubuntu 10.04 y pude compilar el último driver de ati. Instalé los 4 archivos que me salen, pero no puedo iniciar aticonfi --initial, en cambio, si se me inicia con glxgears la prueba de fps que llegan a 4500.

Me sale:
sudo apt-cache search fglrx
jockey-common - interfaz de usuario e integración con escritorio para la gestión de controlador
jockey-gtk - interfaz de usuario GNOME e integración con escritorio para la gestión de controlador
jockey-kde - Interfaz de usuario KDE e integración con escritorio para la gestión de controlador
xorg-driver-fglrx - Transitional package for xorg-driver-fglrx
fglrx-kernel-source - Transitional package for fglrx-kernel-source
xserver-xorg-video-radeon - X.Org X server -- AMD/ATI Radeon display driver
fglrx-dev - Video driver for the AMD graphics accelerators (devel files)
fglrx - Video driver for the AMD graphics accelerators
fglrx-amdcccle - Catalyst Control Center for the AMD graphics accelerators
fglrx-modaliases - Identifiers supported by the AMD graphics driver
rafa@rafa-laptop:~$ sudo apt-get install fglrx-amdcccle fglrx-control fglrx-kernel-source xorg-driver-fglrx
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
fglrx-amdcccle ya está en su versión más reciente.
fijado fglrx-amdcccle como instalado manualmente.
El paquete fglrx-control no está disponible, pero algún otro paquete hace referencia
a él. Esto puede significar que el paquete falta, está obsoleto o sólo se
encuentra disponible desde alguna otra fuente
Sin embargo, los siguientes paquetes lo reemplazan:
fglrx-amdcccle
E: El paquete fglrx-control no tiene candidato para su instalación
Te recuerdo que mi tarjeta es la AMD Radeon HD 6470M (DDR3 de 512 MB), y no puedo abrir el ati catalyst control center. Con los controladores privativos me funciona igual. No hay ninguna modificación posible con compiz, que tengo instalado. Te agradecería mucho tu ayuda, a ver si consigo resolver este problema. O, ¿ quizás tengo que dirigirme a ati, para buscar una solución, si es que me tienen en cuenta ?. Perdona mi insistencia. La pantalla es demasiado luminosa y no puedo leer bien. Saludos rdsparla.

+1
0
-1
Imagen de almursi
+1
0
-1

buenas, el paquete amdcccle debe ser el último en ser instalado (si se hace de manera manual). Si no tienes la entrada de menú, pero lo instalaste, tan sólo necesitas entrar al synaptic y marcarlo para reinstalar. Saludos cordiales.

+1
0
-1
Imagen de homosapiens999
+1
0
-1

Gracian antares por responder. te comento la experiencia que tuve.

Despues de trastear con los drivers privativos, ya no pude volver correctamente a los libres y me daba muchos problemas. Entonces reinstalé ubuntu, el detalle es que ahora instale directamente la versión x64 (anteriomente habia puesto la x32) y recien terminado de instalar me apareció el cartelito de drivers privativos, y pense que no perdía nada con intentarlo y ahora si funcionan bien, me instaló una versión un poco vieja (8.72) pero funcionan mejor que los libres eso seguro. Creo que me tocará aguantarle y dejar que se vayana actualizando solos, o tu que recomiendas??? le pruebo con los de la pagina de ATI?

+1
0
-1
Imagen de DINAMIK
+1
0
-1

efectivamente. Igual, puedes bajar el Driver 9.3, de tu gráfica acá:

Y usarlo en Ubuntu 10.04 (recomendado, el que posee soporte actualmente), Ubuntu 8.04.04 ya dejó de ofrecer soporte en Abril de éste año, la versión de escritorio.

-----------------------------------------------------------------------------

me encantaria usar lucid con esa pc, pero el problema es que el driver 9.3 no genera un paquete instalador para lucid, solo lo hace hasta karmic creo. por eso elegi hardy.
hay alguna forma de forzar el uso en lucid?
----------------------------------------------------------------------------
por otro lado
ahora estoy haciendo unos inventos con natty, me das una mano para configurar el driver libre?
te comento lo que hcie hasta ahora.
actualize a natty, todo perfecto, tengo unity =).
pienso instalar el ppa xorg/edgers (para tener el driver mas moderno)
y con driconf podre activar s3tc por ejmplo?

+1
0
-1
Imagen de homosapiens999
+1
0
-1

Ya con los drivers arreglados no puedo hacer que el plymouth trabaje con la resolución correcta. Alguna solucion para mi tarjeta grafica?

+1
0
-1
Imagen de monogato
+1
0
-1

Tengo una duda. Tengo instalado la última versión de los drivers privativos de ATI de este repositorio https://launchpad.net/~ubuntu-x-swat/+archive/x-updates para mi ATI Radeon HD 5xxx en un Ubuntu 11.04 64-bits. El problema es que la versión del AMD Catalyst es la 11.04 según pone la información y la última es la 11.08 (que para más inri soluciona el tortuoso bug de que se congele la pantalla al pasar el ratón par la esquina inferior-derecha). ¿Cómo puedo instalar la última versión trastocando lo mínimo posible? Gracias por vuestra ayuda.

+1
0
-1

“todo es un asco, así que más vale encontrar una razón para sonreír” (HOUSE, THE BEST).

Imagen de almursi
+1
0
-1

buenas, si en el synaptc te sale un 2:8.840 te recomiendo que actualices. Hay un método sencillo para actualizar los drivers usando un repositorio local temporal, del que hace tiempo hice un pequeño howto, pero que puedo volver a resumir (es menos complicado de lo que parece :) ).

0. Abrimos la consola, creamos nuestro directorio de trabajo: ati.deb por ejemplo, y nos movemos a él (con un mkdir ati.deb y un cd ati.deb).
1. Bajarse los drivers de la web: ati-driver-installer-11-8-x86.x86_64.run en este caso y moverlo a ati.deb
2. Darle permisos de ejecución (y crear un enlace más sencillo para llamarlo en consola, quizá algo como ati11.8.run).
3. Ejecutar el run conectado a internet (posiblemente necesita bajarse algún paquete adicional) con la orden: sudo ./ati11.8.run --buildpkg Ubuntu/natty
Si todo ha salido correctamente (tarda un rato, no os impacientéis), nos habrá creado cuatro archivos.
4. Creamos un directorio llamado natty y movemos todos los archivos creados por el run de ati (como root).
5. Ejecutamos este comando: "sudo dpkg-scanpackages natty /dev/null | gzip > natty/Packages.gz"
6. Ejecutamos "sudo gedit /etc/apt/sources.list" y añadimos esta línea:
# deb file:/home/miusuario/ati.deb natty/
La almohadilla no la quitéis hasta aseguraros que la ruta es correcta y se haya cambiado el "miusuario" por lo que corresponda. Aviso que si está mal escrito todos los programas de gestión de paquetes os echarán a la calle, así que si eso os ocurre volver a comentar la línea y veréis que el synaptic resucita :).
7. Ejecutar el synaptic, recargar y veréis que os aparecen los nuevos paquetes (en este caso el fglrx 2:8.881), marcarlos para instalar y listo.
Y 8. Acostumbro a comentar la línea en sources.list o deshabilitar la fuente en orígenes del software hasta la próxima vez que lo necesite.

Es idéntico el proceso en 32 o 64 bits.

Saludos cordiales.

+1
0
-1
Imagen de monogato
+1
0
-1

¡Mil gracias! Sólo una cosita. Una vez generados los 4 paquetes los he instalado directamente. No pasará nada, ¿no?

P.D: Bueno, en realidad he instalado primero el fgrlx y después el amdcccle, el dev no.

P.D: Y por fin se ha solucionado el maldito bug, aunque el catalyst control center sigue poniendo en información que es la versión 11.04. ¿?

+1
0
-1

“todo es un asco, así que más vale encontrar una razón para sonreír” (HOUSE, THE BEST).

Imagen de almursi
+1
0
-1

buenas, sí, ese es el orden correcto, cuando usas el repositorio local el gestor de paquetes los instala en el orden correcto de manera automática (pero vamos, siempre podemos hacer un "# sudo dpkg -i *.deb" en cuanto tengamos los paquetes, aunque no sea lo más elegante :) ). Saludos cordiales.
p.d.: Seguramente tan sólo necesitas reiniciar para ver el 11.8, si no reinstálalo de nuevo.

+1
0
-1
Imagen de monogato
+1
0
-1

gracias

+1
0
-1

“todo es un asco, así que más vale encontrar una razón para sonreír” (HOUSE, THE BEST).

Imagen de almursi
+1
0
-1

buenas, ¡de nada!
De paso aprovecho para completar el paso 4, el de mover los archivos creados por el run (parece que ya no puedo editarlo), y es algo que podemos hacer más fácilmente si ejecutamos "sudo chmod 646 fg*.*", que nos permitirá moverlos sin restricciones al subdirectorio natty (yo suelo usar un mc con privilegios para todas esas operaciones de consola, que por más años que pasan sigo encontrando la mar de útil...). Saludos cordiales.

+1
0
-1
Imagen de DINAMIK
+1
0
-1

en ese repo, esta el ultimo driver "testeado" para tu distribucion. no siempre esta el ultimo driver. o esperas a que se actualice... o haces la instalacion manual.

+1
0
-1
Imagen de monogato
+1
0
-1

Este es el tema. Ya lo tenía instalado como dije pero al ver un vídeo me di cuenta de que iba con pequeños tirones y pensé que tenía algo que ver con que el amdcccle apareciera aún como 11.04, así que lo desinstalé, borré la carpeta usr/lib/fglrx y volví a instalar los dos paquetes con el centro de software ubuntu (intenté añadirlos manualmente a synaptic con "añadir paquetes descargados" pero no me dejaba seleccionarlos). Ahora siguen los tirones pero el control center a desaparecido por completo (ni en el menu, ni con el comando amdcccle ni reconoce aticonfig). ¿?

EDIT: Vale, resulta que el driver (fglrx) no depende del control center (fglrx-amdcccle) pero para integrarse con él tiene que estar previamente instalado al instalarse el driver. Pero el control center depende directamente del driver. Raro, ¿verdad? Me he dado cuenta instalando desde la consola. La solución, muy simple, instalar el driver, instalar el control center y reinstalar el driver. Ya lo tengo todo perfecto y me sale en información 11.08. Sigo notando microtirones pero he visto que la configuración por defecto tira siempre por el rendimiento más que por la calidad así que a lo mejor cambiando algo se soluciona. ¿Me recomendáis algo?

+1
0
-1

“todo es un asco, así que más vale encontrar una razón para sonreír” (HOUSE, THE BEST).

Imagen de almursi
+1
0
-1

buenas, ese bug me ocurre a mí también, pero personalmente lo considero medianamente pasable (para lo que amd nos tiene acostumbrados, quiero decir :X ). Lo que cuentas es otra vez problema de la instalación manual, quizá si los instalas en la misma línea de comando se arregla, porque seleccionándolos a la vez en el gestor gráfico de paquetes va a la perfección. Saludos cordiales.
p.d.: Bueno, siempre cuidado con lo que borramos en /usr/lib, que podemos tener un bonito desastre :). Si el directorio /usr/lib/fglrx está prácticamente vacío y nos cuesta encontrar algún archivo de texto, eso significa que lo podemos eliminar sin cuidado. En cuando a modos de mejorar la calidad, no sé qué decirte... Suelo tirarme a saco por el rendimiento (y que caliente poco la habitación, aquí en Murcia ya hace suficiente calor la mayor parte del año :) ), excepto en el antialiasing adaptable, así que sólo podría aconsejar de cómo enfriarla :D.

+1
0
-1
Imagen de monogato
+1
0
-1

Al final he puesto el antialiasing adaptable y esperar la actualización vertical. La verdad es que no sé si es por la nueva versión o por la nueva configuración pero se ve bastante mejor (y lo mejor de todo, al fin puedo mover el ratón libremente por la pantalla). Al final era problema del vídeo, los demás se ven perfectos en HD.

+1
0
-1

“todo es un asco, así que más vale encontrar una razón para sonreír” (HOUSE, THE BEST).

Imagen de txantxar
+1
0
-1

Hola!
LLevo unos dos años con Ubuntu y desde entonces todavía no he conseguido instalar los driver de ATI. Tengo una Ati Radeon mobility X1400 y acabo de instalar el Ubuntu 11.04 Natty.

Si alguien me pudiera ayudar se lo agradecería muchíííííííííísimo....

Gracias!!!

+1
0
-1
Imagen de almursi
+1
0
-1

buenas, echa un vistazo aquí:
http://wiki.cchtml.com/index.php/Hardware
El catalyst tan sólo soporta las tarjetas HD en este momento, pero puedes buscar por el foro cómo se las apañan otros usuarios con el legacy. Saludos cordiales.

+1
0
-1
Imagen de txantxar
+1
0
-1

Pos sí en esas ando, pero no es una gráfica muy común y no encuentro na... pero muchas gracias de todos modos!!!

Gracias!!!!!!!!

+1
0
-1

Páginas